# Revision history for phonetic-languages-rhythmicity

## 0.1.0.0 -- 2020-10-08

* First version. Released on an unsuspecting world.

## 0.1.0.1 -- 2020-10-08

* First version revised A. Improved computational simplicity.

## 0.1.1.0 -- 2020-10-19

* First version revised B. Some code improvements.

## 0.1.2.0 -- 2020-10-20

* First version revised C. Some code improvements.

## 0.2.0.0 -- 2021-02-01

* Second version. Added a new module Languages.Rhythmicity.Factor with somewhat 'improved' versions of the similar functions
in the Languages.Rhythmicity module. Some tuning for the all functions done. Some minor documentation improvements.

## 0.3.0.0 -- 2021-07-19

* Third version. Added a new module Rhythmicity.TwoFourth with a different approach to the rhythmicity evaluation.
It is highly experimental.

## 0.3.1.0 -- 2021-07-20

* Third version revised A. Added new functions to the module Rhythmicity.TwoFourth. Some code optimizations.

## 0.3.2.0 -- 2021-07-20

* Third version revised B. Some changes to the code and documentation in the Rhythmicity.TwoFourth module.

## 0.4.0.0 -- 2021-07-27

* Fourth version. Fixed some issues with the Rhythmicity.TwoFourth module. Added a new module Rhythmicity.PolyRhythm.
Added GHC extension usage of MultiWayIf.

## 0.5.0.0 -- 2021-07-28

* Fifth version. Added special data type and related parsing functionality to the module Rhythmicity.PolyRhythm.

## 0.5.1.0 -- 2021-07-30

* Fifth version revised A. Fixed issues with fixed point 1.0 for increasing and decreasing functions in the module
Rhythmicity.PolyRhythm.

## 0.5.2.0 -- 2021-08-04

* Fifth version revised B. Added README.md file with conceptual description for the polyrhythmic ideas used in the moudules.

## 0.5.3.0 -- 2021-08-07

* Fifth version revised C. Improved the increasing and decreasing functions to reduce irregular and asymmetric
behaviours for the polyrhythm module. Added the corresponding information to the README.md file.

## 0.5.4.0 -- 2021-08-07

* Fifth version revised D. Fixed issue with x == 0.0 for the long lines for the numeric increasing and decreasing
functions for the polyrhythmicity.

## 0.6.0.0 -- 2021-08-09

* Sixth version. Changed the increasing and decreasing functions for the polyrhythms and added new possibilities
among which there are also generalized kernel-based functions. This should linearize and allow to specify different
kernels that allows to control which parts of the line are the most important and which are less. Added the
information to the README.md file.

## 0.6.0.1 -- 2021-08-09

* Sixth version revised A. Fixed issues with deprecated documentation for the polyrhythmicity functions.

## 0.7.0.0 -- 2021-08-14

* Seventh version. The library tries more completely include the information for analysis. Besides,
there are first weighted increasing and decreasing functions and functionality respectively.

## 0.8.0.0 -- 2021-08-16

* Eigth version. Added also the weighted functions that try to increase the importance of the line ending
and to decrease the importance of the beginnings.

## 0.9.0.0 -- 2021-08-17

* Ninth version. Added also the linear weighted functions that try to increase / decrease the importance of the line ending
and to decrease /increase the importance of the beginnings.

## 0.9.1.0 -- 2021-08-24

* Ninth version revised A. Fixed issues with the custom rhythmicity in the 'readRhythmicity' function. Some documentation
improvements.

## 0.9.2.0 -- 2022-03-24

* Ninth version revised B. Updated the dependency boundaries to support the latest GHC and Cabal versions.

## 0.10.0.0 -- 2023-02-05

* Tenth version. Switched to NoImplicitPrelude extension. Changed the computational schemes in the Phladiprelio.Rhythmicity.Simple and 
Phladiprelio.Rhythmicity.Factor modules. Updated the dependency boundaries.

## 0.10.1.0 -- 2023-02-05

* Tenth version revised A. Fixed issues with maxPosition2F function. 

## 0.10.2.0 -- 2023-02-05

* Tenth version revised B. Normed the functions in the Phladiprelio.Rhythmicity.Simple and Phladiprelio.Rhythmicity.Factor modules.

## 0.11.0.0 -- 2023-03-13

* Eleventh version. Moved the shared by different implementations functionality to a new package. Some documentation changes.

## 0.11.0.1 -- 2023-03-15

* Eleventh version revised A. Improved the metadata and documentation so that the 
changes in the previous version are clear.

## 0.11.0.2 -- 2023-03-15

* Eleventh version revised B. Fixed issue with incorrect documentation link to other package.
 
